SQLite

From DreamFactory
Jump to: navigation, search
(Yum)
 
Line 3: Line 3:
 
===Linux===
 
===Linux===
  
===Apt===
+
The PHP SQLite module should be available in your package manager.
*For '''Mint, Debian, Ubuntu''' run the following command:
+
  
<source lang=bash>sudo apt-get install php5-sqlite</source>
+
For example if you are following the [[../../../APT/Ubuntu_16.04/Modules/SQLite| Ubuntu 16.04]] instructions, this package is named php7.1-sqlite3. This driver needs to be installed for a base install of DreamFactory
 
+
*Restart Apache:
+
 
+
<source lang=bash> sudo service apache2 restart</source>
+
 
+
===Yum===
+
*For '''CentOS, Fedora, Red Hat''' run the following command:
+
 
+
<source lang=bash> yum install php5-sqlite3</source>
+
 
+
*Restart Apache:
+
 
+
<source lang=bash> sudo apachectl restart</source>
+
or
+
<source lang=bash>sudo service httpd restart</source>
+

Latest revision as of 18:19, 28 February 2018

Drivers

Linux

The PHP SQLite module should be available in your package manager.

For example if you are following the Ubuntu 16.04 instructions, this package is named php7.1-sqlite3. This driver needs to be installed for a base install of DreamFactory